import request from '@/utils/request'

// 查询拼团限制配置列表
export function listGroupLimitConfig(query) {
  return request({
    url: '/service/groupLimitConfig/list',
    method: 'get',
    params: query
  })
}

// 查询拼团限制配置详细
export function getGroupLimitConfig(id) {
  return request({
    url: '/service/groupLimitConfig/' + id,
    method: 'get'
  })
}

// 新增拼团限制配置
export function addGroupLimitConfig(data) {
  return request({
    url: '/service/groupLimitConfig',
    method: 'post',
    data: data
  })
}

// 修改拼团限制配置
export function updateGroupLimitConfig(data) {
  return request({
    url: '/service/groupLimitConfig',
    method: 'put',
    data: data
  })
}

// 删除拼团限制配置
export function delGroupLimitConfig(id) {
  return request({
    url: '/service/groupLimitConfig/' + id,
    method: 'delete'
  })
}
